:root {
    --primary-color: #EE4D2D;
    --mau-color: #d0011b;
    --white-color: #fff;
    --black-color: #000;
    --text-color: #333;
    --border-color: #dbdbdb;
    --start-gold-color: #ffce3e;
    --header-height: 120px;
    --navbar-height: 34px;

    --header-width-search-height: calc(var(--header-height) - var(--navbar-height));

}

* {
    box-sizing: inherit;

}

/* tạo tam giác nhỏ */
.tamgiacnho::before {
    content: "";
    border-width: 20px 27px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -29px;
}


html {

    font-size: 62.5%;
    line-height: 1.6rem;
    /* font-family: 'Times New Roman', sans-serif; */
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
}

/* Responsive */
/* bài đầu tiên */
.grid {
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
}

.grid__full-width {
    width: 100%;
}

.grid__row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -5px;
    margin-right: -5px;
}

/* Test */
.grid__column-2 {
    padding-left: 5px;
    padding-right: 5px;
    width: 16.6667%;
}

.grid__column-2-4 {
    padding-left: 5px;
    padding-right: 5px;
    width: 20%;
}

.grid__column-4 {
    padding-left: 5px;
    padding-right: 5px;
    width: 32%;
}

.grid__column-10 {
    padding-left: 5px;
    padding-right: 5px;
    width: 83.3334%;
}

.grid__column-12 {
    padding-left: 5px;
    padding-right: 5px;
    width: 100%;
}

/* Animation  */
@keyframes Hiendanlen {
    from {
        opacity: 0;

    }

    to {
        opacity: 1;

    }

}

@keyframes growth {
    from {
        transform: scale(var(--growth-form));
    }

    to {
        transform: scale(var(--growth-to));
    }

}


/* Modal */
.modal {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    display: flex;
    animation: Hiendanlen linear 0.1s;
    display: none;
}

.modal__overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 1;

}

.modal__body {
    --growth-form: 0.7;
    --growth-form: 1;
    margin: auto;
    position: relative;
    z-index: 2;
    border-radius: 5px;
    animation: growth linear 0.1s;

}

/* Button style */
.btn {
    min-width: 124px;
    height: 34px;
    text-decoration: none;
    border: none;
    border-radius: 2px;
    font-size: 1.4rem;
    padding: 0 12px;
    cursor: pointer;
    outline: none;
    color: var(--text-color--);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1.6rem;
    background-color: white;

}

/* 
.btn--normal {
    background-color: #f0f0f0;
} */

.btn.btn--normal:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.btn.btn--size-s {
    height: 32px;
    font-size: 12px;
    padding: 0 8px;
}

.btn.btn--primary {
    background-color: var(--primary-color);
    color: var(--white-color);

}

.btn.btn--disabled {
    color: #999;
    cursor: default;

}

/* Selection */
.select-input {
    min-width: 200px;
    height: 34px;
    padding: 0 12px;
    border-radius: 2px;
    background-color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.select-input__label {
    color: var(--text-color);
    font-size: 1.4rem;
    margin-left: 12px;
}

.select-input__icon {
    font-size: 1.4rem;
    color: rgb(55, 55, 55);
    margin: 0 16px 0 8px;
    position: relative;
    top: 1px;
    cursor: pointer;
}

.select-input__list {
    display: none;
    position: absolute;
    left: 0;
    right: 0;
    top: 25px;
    border-radius: 2px;
    background-color: var(--white-color);
    padding: 8px 16px;
    list-style: none;
    z-index: 1;
}

.select-input__link {
    display: block;
    font-size: 1.4rem;
    padding: 4px 0px;
    color: var(--text-color);
    text-decoration: none;
}

.select-input__link:hover {
    color: var(--primary-color);
}

.select-input:hover .select-input__list {
    display: block;
}